reports
Create a report
POST
/
reports
Create a report
curl --request POST \
--url https://app.pentest-tools.com/api/v2/reports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resources": [
123
],
"filters": {
"include_finding_history": false,
"include_all_targets": false,
"include_how_to_reproduce": true,
"include_false_positives": false,
"include_info": true,
"include_not_verified": true,
"include_ignored": false,
"include_accepted": true,
"include_fixed": true,
"include_tool_configuration": true
},
"webhook_url": "<string>"
}
'import requests
url = "https://app.pentest-tools.com/api/v2/reports"
payload = {
"resources": [123],
"filters": {
"include_finding_history": False,
"include_all_targets": False,
"include_how_to_reproduce": True,
"include_false_positives": False,
"include_info": True,
"include_not_verified": True,
"include_ignored": False,
"include_accepted": True,
"include_fixed": True,
"include_tool_configuration": True
},
"webhook_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
resources: [123],
filters: {
include_finding_history: false,
include_all_targets: false,
include_how_to_reproduce: true,
include_false_positives: false,
include_info: true,
include_not_verified: true,
include_ignored: false,
include_accepted: true,
include_fixed: true,
include_tool_configuration: true
},
webhook_url: '<string>'
})
};
fetch('https://app.pentest-tools.com/api/v2/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"report_id": 123456
}
}{
"status": 401,
"message": "No API key specified"
}{
"status": 401,
"message": "No API key specified"
}{
"status": 401,
"message": "No API key specified"
}{
"status": 401,
"message": "No API key specified"
}Authorizations
Use the "API key" from the profile page as the token
Body
application/json
Available options:
pdf, html, json, csv, xlsx, docx Available options:
target, vulnerability Available options:
scans, findings The IDs of the resources to include in the report. Use finding IDs if the source parameter is set to findings, or scan IDs if the source parameter is set to scans.
Show child attributes
Show child attributes
Response
Accepted
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Create a report
